package com.ruoyi;

import com.alibaba.fastjson2.JSONObject;
import okhttp3.*;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;

@SpringBootTest
public class TestUrlUseCase {

    @Test
    public void test() throws IOException {
        OkHttpClient client = new OkHttpClient().newBuilder().build();
        MediaType mediaType = MediaType.parse("application/json");
        // 定义查询变量
        String variables = "{\n" +
                "    \"offset\": {\n" +
                "        \"offset\": 0,\n" +
                "        \"limit\": 10\n" +
                "    },\n" +
                "    \"name\": \"汽车整车信息安全技术要求\"\n" +
                "}";

        RequestBody body = RequestBody.create(mediaType, "{\"query\":\"query regulationAllUseCases($offset:OffsetConnectionInput$name: String!){regulationByName(name:$name){items(offset:$offset){ nodes{id serialNumber requirements useCases{id customizedID description}}totalCount}}}\",\"variables\":"+ variables +"}");

        Request requestKs = new Request.Builder()
                .url("http://10.12.48.80:8089/api/query")
                .method("POST", body)
                .addHeader("Content-Type", "application/json")
                .addHeader("Authorization", "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjAsInRva2VuaWQiOjYxLCJ0eXBlIjoiYXBpIiwidXNlcm5hbWUiOiJhZG1pbiJ9.48Ggjx-FtOcecf73vAHn0XglwgLXZlfXxhXiLDHWWQE")
                .build();
        Response response = client.newCall(requestKs).execute();
        String string = response.body().string();
        JSONObject jsonObject = JSONObject.parseObject(string);

        System.out.println("jsonObject = " + jsonObject);
//        List<UseCaseUrlVO> list = jsonObject.getJSONObject("data").getJSONObject("useCases").getList("nodes", UseCaseUrlVO.class);
//        list.forEach(item -> {
//            System.out.println("item = " + item);
//        });

    }
    
}
